package mschmidt.komo;
/*
 * Custom action that displays database related information.
 */

import mschmidt.komo.datatools.DatabaseInfoJob;

import org.eclipse.core.runtime.jobs.Job;
import org.eclipse.jface.action.Action;
import org.eclipse.ui.IWorkbenchWindow;
import org.eclipse.ui.actions.ActionFactory.IWorkbenchAction;

public class DbInfoAction extends Action implements IWorkbenchAction {
	
	/*
	 * Initialize the action variables.
	 */
	private final IWorkbenchWindow thisWindow;

	public final static String ACTION_ID = "mschmidt.komo.DbInfoAction";

	/**
	 * Create the action and set the appearance variables.
	 */
	public DbInfoAction(IWorkbenchWindow window) {
		thisWindow = window;
		setId(ACTION_ID);
		setText("Database Info");
		setToolTipText("Display detailed database information");
		setImageDescriptor(KomoPlugin.getImageDescriptor(ApplicationImages.DB_ICON));
	}

	/*
	 * (non-Javadoc) The action runnable.
	 * 
	 * @see org.eclipse.jface.action.IAction#run()
	 */
	public void run() {
		if (thisWindow != null) {
			if (Application.dbPassword.checkPassword()) {
				Job infoJob = new DatabaseInfoJob("DatabaseInfo");
				infoJob.schedule();
			}
		}
	}

	public void dispose() {
	}

}
